<!--
/*********************************************************************
 * FILE: %Z%%M%  %I%  %W% %G% %U%
 *
 * Description:
 *
 * JSP for handling self care.
 *********************************************************************/
-->

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ include file="expiProlog.jsp" %>

<%@ page import="examples.expi.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.itim.common.*"%>

<HEAD>
<META name="GENERATOR" content="IBM WebSphere Studio">
<TITLE>Tivoli Identity Products Integration Sample - Change My Personal Information</TITLE>
<SCRIPT language="JavaScript">

	function goToMainPage() {
	   document.location="main.jsp";
	}
	
	function pviiClassNew(obj, new_style) { //v2.6 by PVII
	  obj.className=new_style;
	}

	function doUpdate()
	{
		document.selfCareForm.action = "./selfCareServlet";
		document.selfCareForm.submit();
	}
	
</SCRIPT>
</HEAD>

<%@ include file="expi_header.html" %>

<table border=0 cellpadding=0 cellspacing=0 width=100%>
	<tr>
		<td width="80"><img src="images/img_clear.gif" width="80" height="10"></td>
		<td width="100%">

		<table border=0 cellpadding=0 cellspacing=0 width=90%>
			<tr>
				<td><img src="images/img_clear.gif" width="80" height="10"></td>
			</tr>
			<tr>
				<td class="heading-text">Change My Personal Information</td>
			</tr>
			<tr>
				<td class="heading-line"><img src="images/img_clear.gif" width="1"
					height="2"></td>
			</tr>
			<tr>
				<td class="text-description">Change your personal information and press OK when finished.</td>
			</tr>
		</table>

      <!-- Conditionally display error messages -->
		<table width="90%" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td><%@ include file="error_msg_box.jsp" %></td>
			</tr>
		</table>

		<!--main table-->
		<FORM NAME="selfCareForm" METHOD="POST" AUTOCOMPLETE="off">
		<table border=0 cellpadding=0 cellspacing=0 width="100%" valign="top">
			<tr valign="middle">
				<td valign="top" colspan="2" class="text-normal">
			
				<FORM NAME="regForm" METHOD="POST" AUTOCOMPLETE="off">
				<TABLE border="0" width="377" cellspacing="0" cellpadding="3">
					<TBODY>

					<%			
					expiUtil utilObject = null;
					
					try {
						utilObject = new expiUtil();
					} catch (Exception e) {
						e.printStackTrace();
					}
					
					String selfcareAttrs = utilObject.getProperty(expiUtil.SELFCARE_ATTRS);
					//System.out.println("selfcare attrs: " + selfcareAttrs);
			
					if (selfcareAttrs != null) {
						StringTokenizer st = new StringTokenizer(selfcareAttrs, ",");
						while (st.hasMoreTokens()) {
							String sAttr = st.nextToken();
							//System.out.println("   Attr: " + sAttr);
			
			 				// build the attribute name (replacing spaces with '.'
			
							String sAttr2 = "attributes." + sAttr;
			
							// get the attribute from the properties file
			
							String sAttrText = utilObject.getProperty(sAttr2);
							if (sAttrText == null) {
								sAttrText = "(no text defined)";
							}
							
							String sAttrValue = (String)request.getAttribute(sAttr);
							if (sAttrValue == null) {
								 sAttrValue = "";
							}
							%>

						<TR>
							<TD class="text-normal">
								<%= sAttrText %>:<br>
								<input name="<%= sAttr %>" class="entry-field"
								value="<%= sAttrValue %>" type="text" size="40">
							</TD>
						</TR>

						<%
						}
					}
					%>
					</TBODY>
				</TABLE>
				<BR>
		        <input type="submit" value="OK" class="button" onClick="doUpdate();" 
		        	onMouseOver="pviiClassNew(this,'buttonover')" onMouseOut="pviiClassNew(this,'button')">
				<input type="button" name="Submit22" id="Submit22" value="Cancel"
					class="button" onMouseOver="pviiClassNew(this,'buttonover')"
					onMouseOut="pviiClassNew(this,'button')" onClick="goToMainPage()">
				</FORM>
				</td>
		</table>
	</tr>
</table>
</body>
</html>

